# UniTAP.dev.modules.dut_tests.dut_default_params.audio_test

class AudioTestParam:

Class `AudioTestParam` describes requirement parameters for audio test:

- Set and get `sample_rate`. Describes expected sampling rate of audio signal.
- Set and get `audio_frequency`. Describes expected audible (sine) frequency as Hz.
- Set and get `frequency_tolerance`. Describes allowed deviation from expected frequency as Hz.
- Set and get `audio_glitches_allowed`. Describes number of audio glitches allowed per test.
- Set and get `save_conditions`. Describes tested audio save conditions.
- Set and get `storage_folder`. Describes location where the captured audio is to be saved.

AudioTestParam(json_obj)
sample_rate: int

Set and get sampling rate of audio signal.

###### Returns:

> object of int type

audio_frequency: int

Set and get audible (sine) frequency as Hz.

###### Returns:

> object of int type

frequency_tolerance: int

Set and get allowed deviation from expected frequency as Hz.

###### Returns:

> object of int type

audio_glitches_allowed: int

Set and get number of audio glitches allowed per test.

###### Returns:

> object of int type

glitch_detect_threshold: int

Set and get number of audio glitches allowed per test.

###### Returns:

> object of int type

save_conditions: str

Set and get tested audio save conditions.

###### Returns:

> object of str type

storage_folder: str

Set and get location where the captured audio is to be saved.

###### Returns:

> object of str type